Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(49)

Issue 7484040: Multi-Profiles: Only show the avatar icon if user has multiple profiles (Closed)

Created:
7 years, 8 months ago by sail
Modified:
7 years, 7 months ago
CC:
chromium-reviews
Visibility:
Public.

Description

Multi-Profiles: Only show the avatar icon if user has multiple profiles BUG=88878 TEST=None Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=95362

Patch Set 1 #

Total comments: 4

Patch Set 2 : addressed review comments #

Total comments: 2

Patch Set 3 : Address review comments #

Patch Set 4 : fix gtk patch #

Patch Set 5 : mac #

Unified diffs Side-by-side diffs Delta from patch set Stats (+25 lines, -5 lines) Patch
M chrome/browser/ui/cocoa/browser_window_controller.mm View 1 2 3 4 2 chunks +16 lines, -2 lines 0 comments Download
M chrome/browser/ui/gtk/browser_titlebar.cc View 1 2 3 2 chunks +5 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/frame/browser_view.cc View 1 2 1 chunk +4 lines, -3 lines 0 comments Download

Messages

Total messages: 9 (0 generated)
sail
7 years, 8 months ago (2011-07-22 19:51:48 UTC) #1
Robert Sesek
Drive-by feedback http://codereview.chromium.org/7484040/diff/1/chrome/browser/ui/cocoa/browser_window_controller.mm File chrome/browser/ui/cocoa/browser_window_controller.mm (right): http://codereview.chromium.org/7484040/diff/1/chrome/browser/ui/cocoa/browser_window_controller.mm#newcode1326 chrome/browser/ui/cocoa/browser_window_controller.mm:1326: - (BOOL)shouldShowAvatar { Use YES/NO return values ...
7 years, 8 months ago (2011-07-24 13:56:36 UTC) #2
Miranda Callahan
http://codereview.chromium.org/7484040/diff/1/chrome/browser/ui/views/frame/browser_view.cc File chrome/browser/ui/views/frame/browser_view.cc (right): http://codereview.chromium.org/7484040/diff/1/chrome/browser/ui/views/frame/browser_view.cc#newcode484 chrome/browser/ui/views/frame/browser_view.cc:484: return cache.GetNumberOfProfiles() > 1; Seems like you only need ...
7 years, 8 months ago (2011-07-25 12:01:54 UTC) #3
sail
http://codereview.chromium.org/7484040/diff/1/chrome/browser/ui/cocoa/browser_window_controller.mm File chrome/browser/ui/cocoa/browser_window_controller.mm (right): http://codereview.chromium.org/7484040/diff/1/chrome/browser/ui/cocoa/browser_window_controller.mm#newcode1326 chrome/browser/ui/cocoa/browser_window_controller.mm:1326: - (BOOL)shouldShowAvatar { On 2011/07/24 13:56:37, rsesek wrote: > ...
7 years, 7 months ago (2011-08-03 20:51:49 UTC) #4
Robert Sesek
Mac bits LGTM http://codereview.chromium.org/7484040/diff/4001/chrome/browser/ui/cocoa/browser_window_controller.mm File chrome/browser/ui/cocoa/browser_window_controller.mm (right): http://codereview.chromium.org/7484040/diff/4001/chrome/browser/ui/cocoa/browser_window_controller.mm#newcode1364 chrome/browser/ui/cocoa/browser_window_controller.mm:1364: // Show the profile avatar after ...
7 years, 7 months ago (2011-08-03 21:13:00 UTC) #5
Elliot Glaysher
LGTM rubber stamp since you already know this is broken.
7 years, 7 months ago (2011-08-03 21:15:11 UTC) #6
sail
http://codereview.chromium.org/7484040/diff/4001/chrome/browser/ui/cocoa/browser_window_controller.mm File chrome/browser/ui/cocoa/browser_window_controller.mm (right): http://codereview.chromium.org/7484040/diff/4001/chrome/browser/ui/cocoa/browser_window_controller.mm#newcode1364 chrome/browser/ui/cocoa/browser_window_controller.mm:1364: // Show the profile avatar after the user has ...
7 years, 7 months ago (2011-08-03 21:17:14 UTC) #7
sail
On 2011/08/03 21:17:14, sail wrote: > http://codereview.chromium.org/7484040/diff/4001/chrome/browser/ui/cocoa/browser_window_controller.mm > File chrome/browser/ui/cocoa/browser_window_controller.mm (right): > > http://codereview.chromium.org/7484040/diff/4001/chrome/browser/ui/cocoa/browser_window_controller.mm#newcode1364 > ...
7 years, 7 months ago (2011-08-03 21:17:36 UTC) #8
commit-bot: I haz the power
7 years, 7 months ago (2011-08-04 01:15:16 UTC) #9
Change committed as 95362

Powered by Google App Engine
This is Rietveld 408576698